# RE01 - List reasons

Description

This API returns cancellation, refund, incident, and message reasons.Reasons are sorted by type then sort index (set in the back-office)


Call Frequency

Recommended usage: Each time a page must display a list of reasons
Maximum usage: Each time a page must display a list of reasons
Read More

More contextLocalization

This resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/reasons

## Response 200 fields (application/json):

  - `reasons` (array, required)
    List of reasons detailed

  - `reasons.code` (string, required)
    Reason code

  - `reasons.is_customer_right` (boolean, required)
    Indicate if reason is enabled to the customer

  - `reasons.is_operator_right` (boolean, required)
    Indicate if reason is enabled to the operator

  - `reasons.is_shop_right` (boolean, required)
    Indicate if reason is enabled to the shop

  - `reasons.label` (string, required)
    Reason label

  - `reasons.type` (string, required)
    Type of the reason
    Enum: "INCIDENT_OPEN", "MPS_INCIDENT_OPEN", "INCIDENT_CLOSE", "MPS_INCIDENT_CLOSE", "REFUND", "MPS_REFUND", "MESSAGING", "ORDER_MESSAGING", "MPS_ORDER_MESSAGING", "MPS_OFFER_MESSAGING", "OFFER_MESSAGING", "CANCELATION", "MMP_SELLER_MESSAGING", "MPS_SELLER_MESSAGING", "RETURN", "RETURN_REJECTION", "RETURN_NON_COMPLIANT"

  - `total_count` (integer, required)
    Total count of elements returned by the query (no pagination)


